Scala Standard Library2.13.5 < Back


# Packages

-  package root

  This is the documentation for the Scala standard library.

  This is the documentation for the Scala standard library.

  #### Package structure

  The scala package contains core types like `Int`, `Float`, `Array` or `Option` which are accessible in all Scala compilation units without explicit qualification or imports.

  Notable packages include:

  - `scala.collection` and its sub-packages contain Scala's collections framework
    - `scala.collection.immutable` - Immutable, sequential data-structures such as `Vector`, `List`, `Range`, `HashMap` or `HashSet`
    - `scala.collection.mutable` - Mutable, sequential data-structures such as `ArrayBuffer`, `StringBuilder`, `HashMap` or `HashSet`
    - `scala.collection.concurrent` - Mutable, concurrent data-structures such as `TrieMap`
  - `scala.concurrent` - Primitives for concurrent programming such as `Futures` and `Promises`
  - `scala.io` - Input and output operations
  - `scala.math` - Basic math functions and additional numeric types like `BigInt` and `BigDecimal`
  - `scala.sys` - Interaction with other processes and the operating system
  - `scala.util.matching` - Regular expressions

  Other packages exist. See the complete list on the right.

  Additional parts of the standard library are shipped as separate libraries. These include:

  - `scala.reflect` - Scala's reflection API (scala-reflect.jar)
  - `scala.xml` - XML parsing, manipulation, and serialization (scala-xml.jar)
  - `scala.collection.parallel` - Parallel collections (scala-parallel-collections.jar)
  - `scala.util.parsing` - Parser combinators (scala-parser-combinators.jar)
  - `scala.swing` - A convenient wrapper around Java's GUI framework called Swing (scala-swing.jar)

  #### Automatic imports

  Identifiers in the scala package and the `scala.Predef` object are always in scope by default.

  Some of these identifiers are type aliases provided as shortcuts to commonly used classes. For example, `List` is an alias for `scala.collection.immutable.List`.

  Other aliases refer to classes provided by the underlying platform. For example, on the JVM, `String` is an alias for `java.lang.String`.

  Definition Classes
    root
-  package scala

  Core Scala types.

  Core Scala types. They are always available without an explicit import.

  Definition Classes
    root
-  package collection
  Definition Classes
    scala
-  package mutable
  Definition Classes
    collection
- AbstractBuffer
- AbstractIterable
- AbstractMap
- AbstractSeq
- AbstractSet
- AnyRefMap
- ArrayBuffer
- ArrayBufferView
- ArrayBuilder
- ArrayDeque
- ArrayDequeOps
- ArraySeq
- BitSet
- Buffer
- Builder
- Clearable
- Cloneable
- CollisionProofHashMap
- Growable
- GrowableBuilder
- HashMap
- HashSet
- ImmutableBuilder
- IndexedBuffer
- IndexedSeq
- IndexedSeqOps
- Iterable
- LinkedHashMap
- LinkedHashSet
- ListBuffer
- ListMap
- LongMap
- Map
- MapOps
- MultiMap
- OpenHashMap
- PriorityQueue
- Queue
- ReusableBuilder
- Seq
- SeqMap
- SeqOps
- Set
- SetOps
- Shrinkable
- SortedMap
- SortedMapOps
- SortedSet
- SortedSetOps
- Stack
- StringBuilder
- TreeMap
- TreeSet
- UnrolledBuffer
- WeakHashMap

c

scala.collection.mutable

# TreeSet

###
Companion object TreeSet

#### sealed class TreeSet[A] extends AbstractSet[A] with SortedSet[A] with SortedSetOps[A, TreeSet, TreeSet[A]] with StrictOptimizedIterableOps[A, Set, TreeSet[A]] with StrictOptimizedSortedSetOps[A, TreeSet, TreeSet[A]] with SortedSetFactoryDefaults[A, TreeSet, Set] with DefaultSerializable

A mutable sorted set implemented using a mutable red-black tree as underlying data structure.

A

  the type of the keys contained in this tree set.

Source
  TreeSet.scala

Linear Supertypes
DefaultSerializable, java.io.Serializable, StrictOptimizedSortedSetOps[A, TreeSet, TreeSet[A]], StrictOptimizedSetOps[A, collection.Set, TreeSet[A]], StrictOptimizedIterableOps[A, [_]Set[_], TreeSet[A]], SortedSet[A], SortedSetOps[A, [X]TreeSet[X], TreeSet[A]], collection.SortedSet[A], SortedSetFactoryDefaults[A, [X]TreeSet[X], [x]Set[x]], collection.SortedSetOps[A, [X]TreeSet[X], TreeSet[A]], SortedOps[A, TreeSet[A]], AbstractSet[A], Set[A], SetOps[A, Set, TreeSet[A]], Shrinkable[A], Builder[A, TreeSet[A]], Growable[A], Clearable, Cloneable[TreeSet[A]], java.lang.Cloneable, Iterable[A], collection.AbstractSet[A], collection.Set[A], Equals, collection.SetOps[A, [_]Set[_], TreeSet[A]], (A) => Boolean, collection.AbstractIterable[A], collection.Iterable[A], IterableFactoryDefaults[A, [x]Set[x]], IterableOps[A, [_]Set[_], TreeSet[A]], IterableOnceOps[A, [_]Set[_], TreeSet[A]], IterableOnce[A], AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TreeSet
2. DefaultSerializable
3. Serializable
4. StrictOptimizedSortedSetOps
5. StrictOptimizedSetOps
6. StrictOptimizedIterableOps
7. SortedSet
8. SortedSetOps
9. SortedSet
10. SortedSetFactoryDefaults
11. SortedSetOps
12. SortedOps
13. AbstractSet
14. Set
15. SetOps
16. Shrinkable
17. Builder
18. Growable
19. Clearable
20. Cloneable
21. Cloneable
22. Iterable
23. AbstractSet
24. Set
25. Equals
26. SetOps
27. Function1
28. AbstractIterable
29. Iterable
30. IterableFactoryDefaults
31. IterableOps
32. IterableOnceOps
33. IterableOnce
34. AnyRef
35. Any

Implicitly

1. by iterableOnceExtensionMethods
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TreeSet()(implicit ord: Ordering[A])

   Creates an empty `TreeSet`.

   Creates an empty `TreeSet`.

   ord

     the implicit ordering used to compare objects of type `A`.

   returns

     an empty `TreeSet`.

### Value Members

1.  final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any
2.  final def ##: Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any
3.  final def &(that: collection.Set[A]): TreeSet[A]

   Alias for `intersect`

   Alias for `intersect`

   Definition Classes
     SetOps
   Annotations
     @inline()
4.  final def &~(that: collection.Set[A]): TreeSet[A]

   Alias for `diff`

   Alias for `diff`

   Definition Classes
     SetOps
   Annotations
     @inline()
5.  final def ++(that: IterableOnce[A]): TreeSet[A]

   Alias for `concat`

   Alias for `concat`

   Definition Classes
     SetOps
   Annotations
     @inline()
6.  final def ++[B >: A](suffix: IterableOnce[B]): Set[B]

   Alias for `concat`

   Alias for `concat`

   Definition Classes
     IterableOps
   Annotations
     @inline()
7.  final def ++=(xs: IterableOnce[A]): TreeSet.this.type

   Alias for `addAll`

   Alias for `addAll`

   Definition Classes
     Growable
   Annotations
     @inline()
8.  final def +=(elem: A): TreeSet.this.type

   Alias for `addOne`

   Alias for `addOne`

   Definition Classes
     Growable
   Annotations
     @inline()
9.  final def --=(xs: IterableOnce[A]): TreeSet.this.type

   Alias for `subtractAll`

   Alias for `subtractAll`

   Definition Classes
     Shrinkable
   Annotations
     @inline()
10.  final def -=(elem: A): TreeSet.this.type

    Alias for `subtractOne`

    Alias for `subtractOne`

    Definition Classes
      Shrinkable
    Annotations
      @inline()
11.  def ->[B](y: B): (TreeSet[A], B)
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toArrowAssoc[TreeSet[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()
12.  final def ==(arg0: Any): Boolean

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any
13.  def add(elem: A): Boolean

    Check whether the set contains the given element, and add it if not.

    Check whether the set contains the given element, and add it if not.

    elem

      the element to be added

    returns

      true if the element was added

    Definition Classes
      SetOps
14.  def addAll(xs: IterableOnce[A]): TreeSet.this.type

    Adds all elements produced by an IterableOnce to this mutable tree set.

    Adds all elements produced by an IterableOnce to this mutable tree set.

    xs

      the IterableOnce producing the elements to add.

    returns

      the mutable tree set itself.

    Definition Classes
      Growable
15.  def addOne(elem: A): TreeSet.this.type

    Adds a single element to this mutable tree set.

    Adds a single element to this mutable tree set.

    elem

      the element to add.

    returns

      the mutable tree set itself

    Definition Classes
      TreeSet → Growable
16.  final def addString(b: StringBuilder): StringBuilder

    Appends all elements of this mutable tree set to a string builder.

    Appends all elements of this mutable tree set to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable tree set without any separator string.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        h: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
    Annotations
      @inline()
17.  final def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this mutable tree set to a string builder using a separator string.

    Appends all elements of this mutable tree set to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable tree set, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
    Annotations
      @inline()
18.  def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this mutable tree set to a string builder using start, end, and separator strings.

    Appends all elements of this mutable tree set to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable tree set are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
19.  def andThen[A](g: (Boolean) => A): (A) => A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()
20.  final def apply(elem: A): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      SetOps → Function1
    Annotations
      @inline()
21.  final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

22.  def canEqual(that: Any): Boolean

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

    that

      the value being probed for possible equality

    returns

      true if this instance can possibly equal `that`, otherwise false

    Definition Classes
      Set → Equals
23.  def className: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    It is recommended to return the name of the concrete collection type, but not implementation subclasses. For example, for `ListMap` this method should return `"ListMap"`, not `"Map"` (the supertype) or `"Node"` (an implementation subclass).

    The default implementation returns "Iterable". It is overridden for the basic collection kinds "Seq", "IndexedSeq", "LinearSeq", "Buffer", "Set", "Map", "SortedSet", "SortedMap" and "View".

    returns

      a string representation which starts the result of `toString` applied to this mutable tree set. By default the string prefix is the simple name of the collection class mutable tree set.

    Attributes
      protected[this]
    Definition Classes
      TreeSet → Iterable
24.  def clear(): Unit

    Clears the contents of this builder.

    Clears the contents of this builder. After execution of this method the builder will contain no elements.

    Definition Classes
      TreeSet → Builder → Clearable
25.  def clone(): TreeSet[A]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      SetOps → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

26.  final def coll: TreeSet.this.type

    returns

      This collection as a `C`.

    Attributes
      protected
    Definition Classes
      Iterable → IterableOps
27.  def collect[B](pf: PartialFunction[A, B])(implicit ev: Ordering[B]): TreeSet[B]

    Builds a new sorted collection by applying a partial function to all elements of this mutable tree set on which the function is defined.

    Builds a new sorted collection by applying a partial function to all elements of this mutable tree set on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the mutable tree set.

    returns

      a new mutable tree set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      StrictOptimizedSortedSetOps → SortedSetOps
28.  def collect[B](pf: PartialFunction[A, B]): Set[B]

    Builds a new mutable tree set by applying a partial function to all elements of this mutable tree set on which the function is defined.

    Builds a new mutable tree set by applying a partial function to all elements of this mutable tree set on which the function is defined.

    B

      the element type of the returned mutable tree set.

    pf

      the partial function which filters and maps the mutable tree set.

    returns

      a new mutable tree set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
29.  def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Finds the first element of the mutable tree set for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the mutable tree set for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      IterableOnceOps
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

30.  def compose[A](g: (A) => A): (A) => Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()
31.  def concat(that: IterableOnce[A]): TreeSet[A]

    Creates a new mutable tree set by adding all elements contained in another collection to this mutable tree set, omitting duplicates.

    Creates a new mutable tree set by adding all elements contained in another collection to this mutable tree set, omitting duplicates.

    This method takes a collection of elements and adds all elements, omitting duplicates, into mutable tree set.

    Example:

        scala> val a = Set(1, 2) concat Set(2, 3)
        a: scala.collection.immutable.Set[Int] = Set(1, 2, 3)

    that

      the collection containing the elements to add.

    returns

      a new mutable tree set with the given elements added, omitting duplicates.

    Definition Classes
      StrictOptimizedSetOps → SetOps
32.  def concat[B >: A](suffix: IterableOnce[B]): Set[B]

    Returns a new mutable tree set containing the elements from the left hand operand followed by the elements from the right hand operand.

    Returns a new mutable tree set containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable tree set is the most specific superclass encompassing the element types of the two operands.

    B

      the element type of the returned collection.

    suffix

      the traversable to append.

    returns

      a new mutable tree set which contains all elements of this mutable tree set followed by all elements of `suffix`.

    Definition Classes
      IterableOps
33.  def contains(elem: A): Boolean
    Definition Classes
      TreeSet → SetOps
34.  def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with at most `len` elements of this mutable tree set.

    Copying will stop once either all the elements of this mutable tree set have been copied, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index of xs.

    len

      the maximal number of elements to copy.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

35.  def copyToArray[B >: A](xs: Array[B], start: Int): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with values of this mutable tree set.

    Copying will stop once either all the elements of this mutable tree set have been copied, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index of xs.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecatedOverriding(message = "This should always forward to the 3-arg version of this method", since = "2.13.4")
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

36.  def copyToArray[B >: A](xs: Array[B]): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with values of this mutable tree set.

    Copying will stop once either all the elements of this mutable tree set have been copied, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecatedOverriding(message = "This should always forward to the 3-arg version of this method", since = "2.13.4")
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

37.  def corresponds[B](that: IterableOnce[B])(p: (A, B) => Boolean): Boolean

    Tests whether every element of this collection's iterator relates to the corresponding element of another collection by satisfying a test predicate.

    Tests whether every element of this collection's iterator relates to the corresponding element of another collection by satisfying a test predicate.

    Note: will not terminate for infinite-sized collections.

    B

      the type of the elements of `that`

    that

      the other collection

    p

      the test predicate, which relates elements from both collections

    returns

      `true` if both collections have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this iterator and `y` of `that`, otherwise `false`

    Definition Classes
      IterableOnceOps
38.  def count(p: (A) => Boolean): Int

    Counts the number of elements in the mutable tree set which satisfy a predicate.

    Counts the number of elements in the mutable tree set which satisfy a predicate.

    Note: will not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      IterableOnceOps
39.  def diff(that: collection.Set[A]): TreeSet[A]

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      SetOps → SetOps
40.  def drop(n: Int): TreeSet[A]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this mutable tree set.

    returns

      a mutable tree set consisting of all elements of this mutable tree set except the first `n` ones, or else the empty mutable tree set, if this mutable tree set has less than `n` elements. If `n` is negative, don't drop any elements.

    Definition Classes
      IterableOps → IterableOnceOps
41.  def dropRight(n: Int): TreeSet[A]

    The rest of the collection without its `n` last elements.

    The rest of the collection without its `n` last elements. For linear, immutable collections this should avoid making a copy.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    n

      the number of elements to drop from this mutable tree set.

    returns

      a mutable tree set consisting of all elements of this mutable tree set except the last `n` ones, or else the empty mutable tree set, if this mutable tree set has less than `n` elements. If `n` is negative, don't drop any elements.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps
42.  def dropWhile(p: (A) => Boolean): TreeSet[A]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this mutable tree set whose first element does not satisfy the predicate `p`.

    Definition Classes
      IterableOps → IterableOnceOps
43.  def empty: TreeSet[A]

    The empty iterable of the same type as this iterable

    The empty iterable of the same type as this iterable

    returns

      an empty iterable of type `C`.

    Definition Classes
      SortedSetFactoryDefaults → IterableOps
44.  def ensuring(cond: (TreeSet[A]) => Boolean, msg: => Any): TreeSet[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toEnsuring[TreeSet[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
45.  def ensuring(cond: (TreeSet[A]) => Boolean): TreeSet[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toEnsuring[TreeSet[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
46.  def ensuring(cond: Boolean, msg: => Any): TreeSet[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toEnsuring[TreeSet[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
47.  def ensuring(cond: Boolean): TreeSet[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toEnsuring[TreeSet[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
48.  final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef
49.  def equals(that: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    Definition Classes
      SortedSet → Set → Equals → AnyRef → Any
50.  def exists(p: (A) => Boolean): Boolean

    Tests whether a predicate holds for at least one element of this mutable tree set.

    Tests whether a predicate holds for at least one element of this mutable tree set.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` is satisfied by at least one element of this mutable tree set, otherwise `false`

    Definition Classes
      IterableOnceOps
51.  def filter(pred: (A) => Boolean): TreeSet[A]

    Selects all elements of this mutable tree set which satisfy a predicate.

    Selects all elements of this mutable tree set which satisfy a predicate.

    returns

      a new iterator consisting of all elements of this mutable tree set that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
52.  def filterImpl(pred: (A) => Boolean, isFlipped: Boolean): TreeSet[A]
    Attributes
      protected[collection]
    Definition Classes
      StrictOptimizedIterableOps
53.  def filterInPlace(p: (A) => Boolean): TreeSet.this.type

    Removes all elements from the set for which do not satisfy a predicate.

    Removes all elements from the set for which do not satisfy a predicate.

    p

      the predicate used to test elements. Only elements for which `p` returns `true` are retained in the set; all others are removed.

    Definition Classes
      SetOps
54.  def filterNot(pred: (A) => Boolean): TreeSet[A]

    Selects all elements of this mutable tree set which do not satisfy a predicate.

    Selects all elements of this mutable tree set which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new mutable tree set consisting of all elements of this mutable tree set that do not satisfy the given predicate `pred`. Their order may not be preserved.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
55.  def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
    Note

      not specified by SLS as a member of AnyRef

56.  def find(p: (A) => Boolean): Option[A]

    Finds the first element of the mutable tree set satisfying a predicate, if any.

    Finds the first element of the mutable tree set satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the mutable tree set that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableOnceOps
57.  def firstKey: A

    Returns the first key of the collection.

    Returns the first key of the collection.

    Definition Classes
      SortedSetOps → SortedOps
58.  def flatMap[B](f: (A) => IterableOnce[B])(implicit ev: Ordering[B]): TreeSet[B]

    Builds a new sorted collection by applying a function to all elements of this mutable tree set and using the elements of the resulting collections.

    Builds a new sorted collection by applying a function to all elements of this mutable tree set and using the elements of the resulting collections.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable tree set resulting from applying the given collection-valued function `f` to each element of this mutable tree set and concatenating the results.

    Definition Classes
      StrictOptimizedSortedSetOps → SortedSetOps
59.  def flatMap[B](f: (A) => IterableOnce[B]): Set[B]

    Builds a new mutable tree set by applying a function to all elements of this mutable tree set and using the elements of the resulting collections.

    Builds a new mutable tree set by applying a function to all elements of this mutable tree set and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of mutable tree set. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap ((word: String) => word.toSeq)

        // xs will be an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable tree set resulting from applying the given collection-valued function `f` to each element of this mutable tree set and concatenating the results.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
60.  def flatten[B](implicit toIterableOnce: (A) => IterableOnce[B]): Set[B]

    Converts this mutable tree set of traversable collections into a mutable tree set formed by the elements of these traversable collections.

    Converts this mutable tree set of traversable collections into a mutable tree set formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the type of mutable tree set. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(1, 2, 3)
                 ).flatten
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(
                   List(1, 2, 3),
                   List(3, 2, 1)
                 ).flatten
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new mutable tree set resulting from concatenating all element mutable tree sets.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
61.  def fold[A1 >: A](z: A1)(op: (A1, A1) => A1): A1

    Folds the elements of this mutable tree set using the specified associative binary operator.

    Folds the elements of this mutable tree set using the specified associative binary operator. The default implementation in `IterableOnce` is equivalent to `foldLeft` but may be overridden for more efficient traversal orders.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    Note: will not terminate for infinite-sized collections.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication).

    op

      a binary operator that must be associative.

    returns

      the result of applying the fold operator `op` between all the elements and `z`, or `z` if this mutable tree set is empty.

    Definition Classes
      IterableOnceOps
62.  def foldLeft[B](z: B)(op: (B, A) => B): B

    Applies a binary operator to a start value and all elements of this mutable tree set, going left to right.

    Applies a binary operator to a start value and all elements of this mutable tree set, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable tree set, going left to right with the start value `z` on the left: `op(...op(z, x1), x2, ..., xn)` where `x1, ..., xn` are the elements of this mutable tree set. Returns `z` if this mutable tree set is empty.

    Definition Classes
      IterableOnceOps
63.  def foldRight[B](z: B)(op: (A, B) => B): B

    Applies a binary operator to all elements of this mutable tree set and a start value, going right to left.

    Applies a binary operator to all elements of this mutable tree set and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable tree set, going right to left with the start value `z` on the right: `op(x1, op(x2, ... op(xn, z)...))` where `x1, ..., xn` are the elements of this mutable tree set. Returns `z` if this mutable tree set is empty.

    Definition Classes
      IterableOnceOps
64.  def forall(p: (A) => Boolean): Boolean

    Tests whether a predicate holds for all elements of this mutable tree set.

    Tests whether a predicate holds for all elements of this mutable tree set.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if this mutable tree set is empty or the given predicate `p` holds for all elements of this mutable tree set, otherwise `false`.

    Definition Classes
      IterableOnceOps
65.  def foreach[U](f: (A) => U): Unit

    Apply `f` to each element for its side effects Note: [U] parameter needed to help scalac's type inference.

    Apply `f` to each element for its side effects Note: [U] parameter needed to help scalac's type inference.

    Definition Classes
      TreeSet → IterableOnceOps
66.  def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit
      This member is added by an implicit conversion from TreeSet[A] toStringFormat[TreeSet[A]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
67.  def fromSpecific(coll: IterableOnce[A]): TreeSet[A]

    Defines how to turn a given `Iterable[A]` into a collection of type `C`.

    Defines how to turn a given `Iterable[A]` into a collection of type `C`.

    This process can be done in a strict way or a non-strict way (ie. without evaluating the elements of the resulting collections). In other words, this methods defines the evaluation model of the collection.

    Attributes
      protected
    Definition Classes
      SortedSetFactoryDefaults → IterableOps
    Note

      When implementing a custom collection type and refining `C` to the new type, this method needs to be overridden (the compiler will issue an error otherwise). In the common case where `C =:= CC[A]`, this can be done by mixing in the scala.collection.IterableFactoryDefaults trait, which implements the method using iterableFactory.

      ,

      As witnessed by the `@uncheckedVariance` annotation, using this method might be unsound. However, as long as it is called with an `Iterable[A]` obtained from `this` collection (as it is the case in the implementations of operations where we use a `View[A]`), it is safe.

68.  final def getClass(): Class[_ <: AnyRef]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyRef → Any
    Annotations
      @native()
69.  def groupBy[K](f: (A) => K): immutable.Map[K, TreeSet[A]]

    Partitions this mutable tree set into a map of mutable tree sets according to some discriminator function.

    Partitions this mutable tree set into a map of mutable tree sets according to some discriminator function.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to mutable tree sets such that the following invariant holds:

          (xs groupBy f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a mutable tree set of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      IterableOps
70.  def groupMap[K, B](key: (A) => K)(f: (A) => B): immutable.Map[K, Set[B]]

    Partitions this mutable tree set into a map of mutable tree sets according to a discriminator function `key`.

    Partitions this mutable tree set into a map of mutable tree sets according to a discriminator function `key`. Each element in a group is transformed into a value of type `B` using the `value` function.

    It is equivalent to `groupBy(key).mapValues(_.map(f))`, but more efficient.

        case class User(name: String, age: Int)

        def namesByAge(users: Seq[User]): Map[Int, Seq[String]] =
          users.groupMap(_.age)(_.name)

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    K

      the type of keys returned by the discriminator function

    B

      the type of values returned by the transformation function

    key

      the discriminator function

    f

      the element transformation function

    Definition Classes
      IterableOps
71.  def groupMapReduce[K, B](key: (A) => K)(f: (A) => B)(reduce: (B, B) => B): immutable.Map[K, B]

    Partitions this mutable tree set into a map according to a discriminator function `key`.

    Partitions this mutable tree set into a map according to a discriminator function `key`. All the values that have the same discriminator are then transformed by the `f` function and then reduced into a single value with the `reduce` function.

    It is equivalent to `groupBy(key).mapValues(_.map(f).reduce(reduce))`, but more efficient.

        def occurrences[A](as: Seq[A]): Map[A, Int] =
          as.groupMapReduce(identity)(_ => 1)(_ + _)

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    Definition Classes
      IterableOps
72.  def grouped(size: Int): Iterator[TreeSet[A]]

    Partitions elements in fixed size mutable tree sets.

    Partitions elements in fixed size mutable tree sets.

    size

      the number of elements per group

    returns

      An iterator producing mutable tree sets of size `size`, except the last will be less than size `size` if the elements don't divide evenly.

    Definition Classes
      IterableOps
    See also

      scala.collection.Iterator, method `grouped`

73.  def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      Set → AnyRef → Any
74.  def head: A

    Selects the first element of this mutable tree set.

    Selects the first element of this mutable tree set.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable tree set.

    Definition Classes
      TreeSet → IterableOps
    Exceptions thrown

      `NoSuchElementException` if the mutable tree set is empty.

75.  def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable tree set if it is nonempty, `None` if it is empty.

    Definition Classes
      IterableOps
76.  def init: TreeSet[A]

    The initial part of the collection without its last element.

    The initial part of the collection without its last element.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    Definition Classes
      IterableOps
77.  def inits: Iterator[TreeSet[A]]

    Iterates over the inits of this mutable tree set.

    Iterates over the inits of this mutable tree set. The first value will be this mutable tree set and the final one will be an empty mutable tree set, with the intervening values the results of successive applications of `init`.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    returns

      an iterator over all the inits of this mutable tree set

    Definition Classes
      IterableOps
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

78.  def intersect(that: collection.Set[A]): TreeSet[A]

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      SetOps
79.  def isEmpty: Boolean

    Tests whether the mutable tree set is empty.

    Tests whether the mutable tree set is empty.

    Note: Implementations in subclasses that are not repeatedly traversable must take care not to consume any elements when `isEmpty` is called.

    returns

      `true` if the mutable tree set contains no elements, `false` otherwise.

    Definition Classes
      TreeSet → IterableOnceOps
80.  final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any
81.  def isTraversableAgain: Boolean

    Tests whether this mutable tree set can be repeatedly traversed.

    Tests whether this mutable tree set can be repeatedly traversed. Always true for Iterables and false for Iterators unless overridden.

    returns

      `true` if it is repeatedly traversable, `false` otherwise.

    Definition Classes
      IterableOps → IterableOnceOps
82.  def iterableFactory: IterableFactory[Set]

    The companion object of this mutable tree set, providing various factory methods.

    The companion object of this mutable tree set, providing various factory methods.

    Definition Classes
      Set → Set → Iterable → Iterable → IterableOps
    Note

      When implementing a custom collection type and refining `CC` to the new type, this method needs to be overridden to return a factory for the new type (the compiler will issue an error otherwise).

83.  def iterator: Iterator[A]

    Iterator can be used only once

    Iterator can be used only once

    Definition Classes
      TreeSet → IterableOnce
84.  def iteratorFrom(start: A): Iterator[A]

    Creates an iterator that contains all values from this collection greater than or equal to `start` according to the ordering of this collection.

    Creates an iterator that contains all values from this collection greater than or equal to `start` according to the ordering of this collection. x.iteratorFrom(y) is equivalent to but will usually be more efficient than x.from(y).iterator

    start

      The lower-bound (inclusive) of the iterator

    Definition Classes
      TreeSet → SortedSetOps
85.  def knownSize: Int

    returns

      The number of elements in the collection under construction, if it can be cheaply computed, -1 otherwise. The default implementation always returns -1.

    Definition Classes
      TreeSet → SetOps → Growable → IterableOnce
86.  def last: A

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this mutable tree set.

    Definition Classes
      TreeSet → IterableOps
    Exceptions thrown

      `NoSuchElementException` If the mutable tree set is empty.

87.  def lastKey: A

    Returns the last key of the collection.

    Returns the last key of the collection.

    Definition Classes
      SortedSetOps → SortedOps
88.  def lastOption: Option[A]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this mutable tree set$ if it is nonempty, `None` if it is empty.

    Definition Classes
      IterableOps
89.  def lazyZip[B](that: collection.Iterable[B]): LazyZip2[A, B, TreeSet.this.type]

    Analogous to `zip` except that the elements in each collection are not consumed until a strict operation is invoked on the returned `LazyZip2` decorator.

    Analogous to `zip` except that the elements in each collection are not consumed until a strict operation is invoked on the returned `LazyZip2` decorator.

    Calls to `lazyZip` can be chained to support higher arities (up to 4) without incurring the expense of constructing and deconstructing intermediary tuples.

        val xs = List(1, 2, 3)
        val res = (xs lazyZip xs lazyZip xs lazyZip xs).map((a, b, c, d) => a + b + c + d)
        // res == List(4, 8, 12)

    B

      the type of the second element in each eventual pair

    that

      the iterable providing the second element of each eventual pair

    returns

      a decorator `LazyZip2` that allows strict operations to be performed on the lazily evaluated pairs or chained calls to `lazyZip`. Implicit conversion to `Iterable[(A, B)]` is also supported.

    Definition Classes
      Iterable
90.  def map[B](f: (A) => B)(implicit ev: Ordering[B]): TreeSet[B]

    Builds a new sorted collection by applying a function to all elements of this mutable tree set.

    Builds a new sorted collection by applying a function to all elements of this mutable tree set.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable tree set resulting from applying the given function `f` to each element of this mutable tree set and collecting the results.

    Definition Classes
      StrictOptimizedSortedSetOps → SortedSetOps
91.  def map[B](f: (A) => B): Set[B]

    Builds a new mutable tree set by applying a function to all elements of this mutable tree set.

    Builds a new mutable tree set by applying a function to all elements of this mutable tree set.

    B

      the element type of the returned mutable tree set.

    f

      the function to apply to each element.

    returns

      a new mutable tree set resulting from applying the given function `f` to each element of this mutable tree set and collecting the results.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
92.  def mapResult[NewTo](f: (TreeSet[A]) => NewTo): Builder[A, NewTo]

    A builder resulting from this builder my mapping the result using `f`.

    A builder resulting from this builder my mapping the result using `f`.

    Definition Classes
      Builder
93.  def max[B >: A](implicit ord: Ordering[B]): A

    Finds the largest element.

    Finds the largest element.

    Note: will not terminate for infinite-sized collections.

    B

      The type over which the ordering is defined.

    ord

      An ordering to be used for comparing elements.

    returns

      the largest element of this mutable tree set with respect to the ordering `ord`.

    Definition Classes
      SortedSetOps → IterableOnceOps
    Exceptions thrown

      `UnsupportedOperationException` if this mutable tree set is empty.

94.  def maxBefore(key: A): Option[A]

    Find the largest element less than a given key.

    Find the largest element less than a given key.

    key

      The given key.

    returns

      `None` if there is no such node.

    Definition Classes
      TreeSet → SortedSetOps
95.  def maxBy[B](f: (A) => B)(implicit cmp: math.Ordering[B]): A

    Finds the first element which yields the largest value measured by function f.

    Finds the first element which yields the largest value measured by function f.

    Note: will not terminate for infinite-sized collections.

    B

      The result type of the function f.

    f

      The measuring function.

    cmp

      An ordering to be used for comparing elements.

    returns

      the first element of this mutable tree set with the largest value measured by function f with respect to the ordering `cmp`.

    Definition Classes
      IterableOnceOps
    Exceptions thrown

      `UnsupportedOperationException` if this mutable tree set is empty.

96.  def maxByOption[B](f: (A) => B)(implicit cmp: math.Ordering[B]): Option[A]

    Finds the first element which yields the largest value measured by function f.

    Finds the first element which yields the largest value measured by function f.

    Note: will not terminate for infinite-sized collections.

    B

      The result type of the function f.

    f

      The measuring function.

    cmp

      An ordering to be used for comparing elements.

    returns

      an option value containing the first element of this mutable tree set with the largest value measured by function f with respect to the ordering `cmp`.

    Definition Classes
      IterableOnceOps
97.  def maxOption[B >: A](implicit ord: math.Ordering[B]): Option[A]

    Finds the largest element.

    Finds the largest element.

    Note: will not terminate for infinite-sized collections.

    B

      The type over which the ordering is defined.

    ord

      An ordering to be used for comparing elements.

    returns

      an option value containing the largest element of this mutable tree set with respect to the ordering `ord`.

    Definition Classes
      IterableOnceOps
98.  def min[B >: A](implicit ord: Ordering[B]): A

    Finds the smallest element.

    Finds the smallest element.

    Note: will not terminate for infinite-sized collections.

    B

      The type over which the ordering is defined.

    ord

      An ordering to be used for comparing elements.

    returns

      the smallest element of this mutable tree set with respect to the ordering `ord`.

    Definition Classes
      SortedSetOps → IterableOnceOps
    Exceptions thrown

      `UnsupportedOperationException` if this mutable tree set is empty.

99.  def minAfter(key: A): Option[A]

    Find the smallest element larger than or equal to a given key.

    Find the smallest element larger than or equal to a given key.

    key

      The given key.

    returns

      `None` if there is no such node.

    Definition Classes
      TreeSet → SortedSetOps
100.  def minBy[B](f: (A) => B)(implicit cmp: math.Ordering[B]): A

     Finds the first element which yields the smallest value measured by function f.

     Finds the first element which yields the smallest value measured by function f.

     Note: will not terminate for infinite-sized collections.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       the first element of this mutable tree set with the smallest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this mutable tree set is empty.

101.  def minByOption[B](f: (A) => B)(implicit cmp: math.Ordering[B]): Option[A]

     Finds the first element which yields the smallest value measured by function f.

     Finds the first element which yields the smallest value measured by function f.

     Note: will not terminate for infinite-sized collections.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       an option value containing the first element of this mutable tree set with the smallest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
102.  def minOption[B >: A](implicit ord: math.Ordering[B]): Option[A]

     Finds the smallest element.

     Finds the smallest element.

     Note: will not terminate for infinite-sized collections.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       an option value containing the smallest element of this mutable tree set with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
103.  final def mkString: String

     Displays all elements of this mutable tree set in a string.

     Displays all elements of this mutable tree set in a string.

     Delegates to addString, which can be overridden.

     returns

       a string representation of this mutable tree set. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable tree set follow each other without any separator string.

     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
104.  final def mkString(sep: String): String

     Displays all elements of this mutable tree set in a string using a separator string.

     Displays all elements of this mutable tree set in a string using a separator string.

     Delegates to addString, which can be overridden.

     sep

       the separator string.

     returns

       a string representation of this mutable tree set. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable tree set are separated by the string `sep`.

     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

105.  final def mkString(start: String, sep: String, end: String): String

     Displays all elements of this mutable tree set in a string using start, end, and separator strings.

     Displays all elements of this mutable tree set in a string using start, end, and separator strings.

     Delegates to addString, which can be overridden.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this mutable tree set. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable tree set are separated by the string `sep`.

     Definition Classes
       IterableOnceOps
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

106.  final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef
107.  def newSpecificBuilder: Builder[A, TreeSet[A]]

     returns

       a strict builder for the same collection type. Note that in the case of lazy collections (e.g. scala.collection.View or scala.collection.immutable.LazyList), it is possible to implement this method but the resulting `Builder` will break laziness. As a consequence, operations should preferably be implemented with `fromSpecific` instead of this method.

     Attributes
       protected
     Definition Classes
       SortedSetFactoryDefaults → IterableOps
     Note

       When implementing a custom collection type and refining `C` to the new type, this method needs to be overridden (the compiler will issue an error otherwise). In the common case where `C =:= CC[A]`, this can be done by mixing in the scala.collection.IterableFactoryDefaults trait, which implements the method using iterableFactory.

       ,

       As witnessed by the `@uncheckedVariance` annotation, using this method might be unsound. However, as long as the returned builder is only fed with `A` values taken from `this` instance, it is safe.

108.  def nonEmpty: Boolean

     Tests whether the mutable tree set is not empty.

     Tests whether the mutable tree set is not empty.

     returns

       `true` if the mutable tree set contains at least one element, `false` otherwise.

     Definition Classes
       IterableOnceOps
     Annotations
       @deprecatedOverriding(message = "nonEmpty is defined as !isEmpty; override isEmpty instead", since = "2.13.0")
109.  final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @native()
     Note

       not specified by SLS as a member of AnyRef

110.  final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @native()
     Note

       not specified by SLS as a member of AnyRef

111.  implicit val ordering: Ordering[A]
     Definition Classes
       TreeSet → SortedOps
112.  def partition(p: (A) => Boolean): (TreeSet[A], TreeSet[A])

     A pair of, first, all elements that satisfy predicate `p` and, second, all elements that do not.

     A pair of, first, all elements that satisfy predicate `p` and, second, all elements that do not. Interesting because it splits a collection in two.

     The default implementation provided here needs to traverse the collection twice. Strict collections have an overridden version of `partition` in `StrictOptimizedIterableOps`, which requires only a single traversal.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
113.  def partitionMap[A1, A2](f: (A) => Either[A1, A2]): (Set[A1], Set[A2])

     Applies a function `f` to each element of the mutable tree set and returns a pair of mutable tree sets: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Applies a function `f` to each element of the mutable tree set and returns a pair of mutable tree sets: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Example:

         val xs = mutable.TreeSet(1, "one", 2, "two", 3, "three") partitionMap {
          case i: Int => Left(i)
          case s: String => Right(s)
         }
         // xs == (mutable.TreeSet(1, 2, 3),
         //        mutable.TreeSet(one, two, three))

     A1

       the element type of the first resulting collection

     A2

       the element type of the second resulting collection

     f

       the 'split function' mapping the elements of this mutable tree set to an scala.util.Either

     returns

       a pair of mutable tree sets: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
114.  def product[B >: A](implicit num: math.Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this mutable tree set with respect to the `*` operator in `num`.

     Definition Classes
       IterableOnceOps
115.  def range(from: A, until: A): TreeSet[A]

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     from

       The lower-bound (inclusive) of the ranged projection.

     until

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedOps
116.  def rangeFrom(from: A): TreeSet[A]

     Creates a ranged projection of this collection with no upper-bound.

     Creates a ranged projection of this collection with no upper-bound.

     from

       The lower-bound (inclusive) of the ranged projection.

     Definition Classes
       SortedOps
117.  def rangeImpl(from: Option[A], until: Option[A]): TreeSet[A]

     Creates a ranged projection of this collection.

     Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa.

     Note: keys are not guaranteed to be consistent between this collection and the projection. This is the case for buffers where indexing is relative to the projection.

     from

       The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.

     until

       The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

     Definition Classes
       TreeSet → SortedOps
118.  def rangeTo(to: A): TreeSet[A]

     Create a range projection of this collection with no lower-bound.

     Create a range projection of this collection with no lower-bound.

     to

       The upper-bound (inclusive) of the ranged projection.

     Definition Classes
       SortedSetOps → SortedOps
119.  def rangeUntil(until: A): TreeSet[A]

     Creates a ranged projection of this collection with no lower-bound.

     Creates a ranged projection of this collection with no lower-bound.

     until

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedOps
120.  def reduce[B >: A](op: (B, B) => B): B

     Reduces the elements of this mutable tree set using the specified associative binary operator.

     Reduces the elements of this mutable tree set using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     B

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the mutable tree set is nonempty.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this mutable tree set is empty.

121.  def reduceLeft[B >: A](op: (B, A) => B): B

     Applies a binary operator to all elements of this mutable tree set, going left to right.

     Applies a binary operator to all elements of this mutable tree set, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable tree set, going left to right: `op( op( ... op(x1, x2) ..., xn-1), xn)` where `x1, ..., xn` are the elements of this mutable tree set.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this mutable tree set is empty.

122.  def reduceLeftOption[B >: A](op: (B, A) => B): Option[B]

     Optionally applies a binary operator to all elements of this mutable tree set, going left to right.

     Optionally applies a binary operator to all elements of this mutable tree set, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` if this mutable tree set is nonempty, `None` otherwise.

     Definition Classes
       IterableOnceOps
123.  def reduceOption[B >: A](op: (B, B) => B): Option[B]

     Reduces the elements of this mutable tree set, if any, using the specified associative binary operator.

     Reduces the elements of this mutable tree set, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     B

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       IterableOnceOps
124.  def reduceRight[B >: A](op: (A, B) => B): B

     Applies a binary operator to all elements of this mutable tree set, going right to left.

     Applies a binary operator to all elements of this mutable tree set, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable tree set, going right to left: `op(x1, op(x2, ..., op(xn-1, xn)...))` where `x1, ..., xn` are the elements of this mutable tree set.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this mutable tree set is empty.

125.  def reduceRightOption[B >: A](op: (A, B) => B): Option[B]

     Optionally applies a binary operator to all elements of this mutable tree set, going right to left.

     Optionally applies a binary operator to all elements of this mutable tree set, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` if this mutable tree set is nonempty, `None` otherwise.

     Definition Classes
       IterableOnceOps
126.  def remove(elem: A): Boolean

     Removes an element from this set.

     Removes an element from this set.

     elem

       the element to be removed

     returns

       true if this set contained the element before it was removed

     Definition Classes
       SetOps
127.  def result(): TreeSet[A]

     Result collection consisting of all elements appended so far.

     Result collection consisting of all elements appended so far.

     Definition Classes
       SetOps → Builder
128.  def reversed: collection.Iterable[A]
     Attributes
       protected
     Definition Classes
       IterableOnceOps
129.  def scan[B >: A](z: B)(op: (B, B) => B): Set[B]

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a new mutable tree set containing the prefix scan of the elements in this mutable tree set

     Definition Classes
       IterableOps
130.  def scanLeft[B](z: B)(op: (B, A) => B): Set[B]

     Produces a mutable tree set containing cumulative results of applying the operator going left to right, including the initial value.

     Produces a mutable tree set containing cumulative results of applying the operator going left to right, including the initial value.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       collection with intermediate results

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
131.  def scanRight[B](z: B)(op: (A, B) => B): Set[B]

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       collection with intermediate results

     Definition Classes
       IterableOps
132.  def size: Int

     The size of this mutable tree set.

     The size of this mutable tree set.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this mutable tree set.

     Definition Classes
       TreeSet → IterableOnceOps
133.  def sizeCompare(that: collection.Iterable[_]): Int

     Compares the size of this mutable tree set to the size of another `Iterable`.

     Compares the size of this mutable tree set to the size of another `Iterable`.

     that

       the `Iterable` whose size is compared with this mutable tree set's size.

     returns

       A value `x` where

           x <  0       if this.size <  that.size
           x == 0       if this.size == that.size
           x >  0       if this.size >  that.size

       The method as implemented here does not call `size` directly; its running time is `O(this.size min that.size)` instead of `O(this.size + that.size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       IterableOps
134.  def sizeCompare(otherSize: Int): Int

     Compares the size of this mutable tree set to a test value.

     Compares the size of this mutable tree set to a test value.

     otherSize

       the test value that gets compared with the size.

     returns

       A value `x` where

           x <  0       if this.size <  otherSize
           x == 0       if this.size == otherSize
           x >  0       if this.size >  otherSize

       The method as implemented here does not call `size` directly; its running time is `O(size min otherSize)` instead of `O(size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       IterableOps
     See also

       sizeIs

135.  final def sizeHint(coll: IterableOnce[_], delta: Int = 0): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection has a known size Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder
136.  def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder
137.  final def sizeHintBounded(size: Int, boundingColl: collection.Iterable[_]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder
138.  final def sizeIs: SizeCompareOps

     Returns a value class containing operations for comparing the size of this mutable tree set to a test value.

     Returns a value class containing operations for comparing the size of this mutable tree set to a test value.

     These operations are implemented in terms of `sizeCompare(Int)`, and allow the following more readable usages:

         this.sizeIs < size     // this.sizeCompare(size) < 0
         this.sizeIs <= size    // this.sizeCompare(size) <= 0
         this.sizeIs == size    // this.sizeCompare(size) == 0
         this.sizeIs != size    // this.sizeCompare(size) != 0
         this.sizeIs >= size    // this.sizeCompare(size) >= 0
         this.sizeIs > size     // this.sizeCompare(size) > 0

     Definition Classes
       IterableOps
     Annotations
       @inline()
139.  def slice(from: Int, until: Int): TreeSet[A]

     Selects an interval of elements.

     Selects an interval of elements. The returned mutable tree set is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the lowest index to include from this mutable tree set.

     until

       the lowest index to EXCLUDE from this mutable tree set.

     returns

       a mutable tree set containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this mutable tree set.

     Definition Classes
       IterableOps → IterableOnceOps
140.  def sliding(size: Int, step: Int): Iterator[TreeSet[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     The returned iterator will be empty when called on an empty collection. The last element the iterator produces may be smaller than the window size when the original collection isn't exhausted by the window before it and its last element isn't skipped by the step before it.

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups

     returns

       An iterator producing mutable tree sets of size `size`, except the last element (which may be the only element) will be smaller if there are fewer than `size` elements remaining to be grouped.

     Definition Classes
       IterableOps
     Examples:

     1. `List(1, 2, 3, 4, 5).sliding(2, 2) = Iterator(List(1, 2), List(3, 4), List(5))`

     ,

     2. `List(1, 2, 3, 4, 5, 6).sliding(2, 3) = Iterator(List(1, 2), List(4, 5))`

     See also

       scala.collection.Iterator, method `sliding`

141.  def sliding(size: Int): Iterator[TreeSet[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.)

     An empty collection returns an empty iterator, and a non-empty collection containing fewer elements than the window size returns an iterator that will produce the original collection as its only element.

     size

       the number of elements per group

     returns

       An iterator producing mutable tree sets of size `size`, except for a non-empty collection with less than `size` elements, which returns an iterator that produces the source collection itself as its only element.

     Definition Classes
       IterableOps
     Examples:

     1. `List().sliding(2) = empty iterator`

     ,

     2. `List(1).sliding(2) = Iterator(List(1))`

     ,

     3. `List(1, 2).sliding(2) = Iterator(List(1, 2))`

     ,

     4. `List(1, 2, 3).sliding(2) = Iterator(List(1, 2), List(2, 3))`

     See also

       scala.collection.Iterator, method `sliding`

142.  def sortedIterableFactory: SortedIterableFactory[TreeSet]

     The companion object of this sorted set, providing various factory methods.

     The companion object of this sorted set, providing various factory methods.

     Definition Classes
       TreeSet → SortedSet → SortedSet → SortedSetOps
     Note

       When implementing a custom collection type and refining `CC` to the new type, this method needs to be overridden to return a factory for the new type (the compiler will issue an error otherwise).

143.  def span(p: (A) => Boolean): (TreeSet[A], TreeSet[A])

     Splits this mutable tree set into a prefix/suffix pair according to a predicate.

     Splits this mutable tree set into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this mutable tree set whose elements all satisfy `p`, and the rest of this mutable tree set.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
144.  def splitAt(n: Int): (TreeSet[A], TreeSet[A])

     Splits this mutable tree set into a prefix/suffix pair at a given position.

     Splits this mutable tree set into a prefix/suffix pair at a given position.

     Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of mutable tree sets consisting of the first `n` elements of this mutable tree set, and the other elements.

     Definition Classes
       IterableOps → IterableOnceOps
145.  def stepper[S <: Stepper[_]](implicit shape: StepperShape[A, S]): S with EfficientSplit

     Returns a scala.collection.Stepper for the elements of this collection.

     Returns a scala.collection.Stepper for the elements of this collection.

     The Stepper enables creating a Java stream to operate on the collection, see scala.jdk.StreamConverters. For collections holding primitive values, the Stepper can be used as an iterator which doesn't box the elements.

     The implicit scala.collection.StepperShape parameter defines the resulting Stepper type according to the element type of this collection.

     - For collections of `Int`, `Short`, `Byte` or `Char`, an scala.collection.IntStepper is returned
     - For collections of `Double` or `Float`, a scala.collection.DoubleStepper is returned
     - For collections of `Long` a scala.collection.LongStepper is returned
     - For any other element type, an scala.collection.AnyStepper is returned

     Note that this method is overridden in subclasses and the return type is refined to `S with EfficientSplit`, for example scala.collection.IndexedSeqOps.stepper. For Steppers marked with scala.collection.Stepper.EfficientSplit, the converters in scala.jdk.StreamConverters allow creating parallel streams, whereas bare Steppers can be converted only to sequential streams.

     Definition Classes
       TreeSet → IterableOnce
146.  final def strictOptimizedCollect[B, C2](b: Builder[B, C2], pf: PartialFunction[A, B]): C2

     B

       Type of elements of the resulting collection (e.g. `String`)

     C2

       Type of the resulting collection (e.g. `List[String]`)

     b

       Builder to use to build the resulting collection

     pf

       Element transformation partial function

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
147.  final def strictOptimizedConcat[B >: A, C2](that: IterableOnce[B], b: Builder[B, C2]): C2

     B

       Type of elements of the resulting collections (e.g. `Int`)

     C2

       Type of the resulting collection (e.g. `List[Int]`)

     that

       Elements to concatenate to this collection

     b

       Builder to use to build the resulting collection

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
148.  final def strictOptimizedFlatMap[B, C2](b: Builder[B, C2], f: (A) => IterableOnce[B]): C2

     B

       Type of elements of the resulting collection (e.g. `String`)

     C2

       Type of the resulting collection (e.g. `List[String]`)

     b

       Builder to use to build the resulting collection

     f

       Element transformation function

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
149.  final def strictOptimizedFlatten[B, C2](b: Builder[B, C2])(implicit toIterableOnce: (A) => IterableOnce[B]): C2

     B

       Type of elements of the resulting collection (e.g. `Int`)

     C2

       Type of the resulting collection (e.g. `List[Int]`)

     b

       Builder to use to build the resulting collection

     toIterableOnce

       Evidence that `A` can be seen as an `IterableOnce[B]`

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
150.  final def strictOptimizedMap[B, C2](b: Builder[B, C2], f: (A) => B): C2

     B

       Type of elements of the resulting collection (e.g. `String`)

     C2

       Type of the resulting collection (e.g. `List[String]`)

     b

       Builder to use to build the resulting collection

     f

       Element transformation function

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
151.  final def strictOptimizedZip[B, C2](that: IterableOnce[B], b: Builder[(A, B), C2]): C2

     B

       Type of elements of the second collection (e.g. `String`)

     C2

       Type of the resulting collection (e.g. `List[(Int, String)]`)

     that

       Collection to zip with this collection

     b

       Builder to use to build the resulting collection

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
152.  def stringPrefix: String
     Attributes
       protected[this]
     Definition Classes
       SortedSet → Set → Iterable
     Annotations
       @nowarn()
153.  def subsetOf(that: collection.Set[A]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       SetOps
154.  def subsets(): Iterator[TreeSet[A]]

     An iterator over all subsets of this set.

     An iterator over all subsets of this set.

     returns

       the iterator.

     Definition Classes
       SetOps
155.  def subsets(len: Int): Iterator[TreeSet[A]]

     An iterator over all subsets of this set of the given size.

     An iterator over all subsets of this set of the given size. If the requested size is impossible, an empty iterator is returned.

     len

       the size of the subsets.

     returns

       the iterator.

     Definition Classes
       SetOps
156.  def subtractAll(xs: IterableOnce[A]): TreeSet.this.type

     Removes all elements produced by an iterator from this mutable tree set.

     Removes all elements produced by an iterator from this mutable tree set.

     xs

       the iterator producing the elements to remove.

     returns

       the mutable tree set itself

     Definition Classes
       Shrinkable
157.  def subtractOne(elem: A): TreeSet.this.type

     Removes a single element from this mutable tree set.

     Removes a single element from this mutable tree set.

     elem

       the element to remove.

     returns

       the mutable tree set itself

     Definition Classes
       TreeSet → Shrinkable
158.  def sum[B >: A](implicit num: math.Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this mutable tree set with respect to the `+` operator in `num`.

     Definition Classes
       IterableOnceOps
159.  final def synchronized[T0](arg0: => T0): T0

     Executes the code in `body` with an exclusive lock on `this`.

     Executes the code in `body` with an exclusive lock on `this`.

     returns

       the result of `body`

     Definition Classes
       AnyRef
160.  def tail: TreeSet[A]

     The rest of the collection without its first element.

     The rest of the collection without its first element.

     Definition Classes
       IterableOps
161.  def tails: Iterator[TreeSet[A]]

     Iterates over the tails of this mutable tree set.

     Iterates over the tails of this mutable tree set. The first value will be this mutable tree set and the final one will be an empty mutable tree set, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this mutable tree set

     Definition Classes
       IterableOps
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

162.  def take(n: Int): TreeSet[A]

     Selects the first n elements.

     Selects the first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this mutable tree set.

     returns

       a mutable tree set consisting only of the first `n` elements of this mutable tree set, or else the whole mutable tree set, if it has less than `n` elements. If `n` is negative, returns an empty mutable tree set.

     Definition Classes
       IterableOps → IterableOnceOps
163.  def takeRight(n: Int): TreeSet[A]

     A collection containing the last `n` elements of this collection.

     A collection containing the last `n` elements of this collection.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     n

       the number of elements to take from this mutable tree set.

     returns

       a mutable tree set consisting only of the last `n` elements of this mutable tree set, or else the whole mutable tree set, if it has less than `n` elements. If `n` is negative, returns an empty mutable tree set.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
164.  def takeWhile(p: (A) => Boolean): TreeSet[A]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this mutable tree set whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableOps → IterableOnceOps
165.  def tapEach[U](f: (A) => U): TreeSet[A]

     Applies a side-effecting function to each element in this collection.

     Applies a side-effecting function to each element in this collection. Strict collections will apply `f` to their elements immediately, while lazy collections like Views and LazyLists will only apply `f` on each element if and when that element is evaluated, and each time that element is evaluated.

     U

       the return type of f

     f

       a function to apply to each element in this mutable tree set

     returns

       The same logical collection as this

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
166.  def to[C1](factory: Factory[A, C1]): C1

     Given a collection factory `factory`, convert this collection to the appropriate representation for the current element type `A`.

     Given a collection factory `factory`, convert this collection to the appropriate representation for the current element type `A`. Example uses:

     xs.to(List) xs.to(ArrayBuffer) xs.to(BitSet) // for xs: Iterable[Int]

     Definition Classes
       IterableOnceOps
167.  def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]

     Convert collection to array.

     Convert collection to array.

     Implementation note: DO NOT call Array.from from this method.

     Definition Classes
       IterableOnceOps
168.  final def toBuffer[B >: A]: Buffer[B]
     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
169.  def toIndexedSeq: immutable.IndexedSeq[A]
     Definition Classes
       IterableOnceOps
170.  final def toIterable: TreeSet.this.type

     returns

       This collection as an `Iterable[A]`. No new collection will be built if `this` is already an `Iterable[A]`.

     Definition Classes
       Iterable → IterableOps
171.  def toList: immutable.List[A]
     Definition Classes
       IterableOnceOps
172.  def toMap[K, V](implicit ev: <:<[A, (K, V)]): immutable.Map[K, V]
     Definition Classes
       IterableOnceOps
173.  def toSeq: immutable.Seq[A]

     returns

       This collection as a `Seq[A]`. This is equivalent to `to(Seq)` but might be faster.

     Definition Classes
       IterableOnceOps
174.  def toSet[B >: A]: immutable.Set[B]
     Definition Classes
       IterableOnceOps
175.  def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Set → Function1 → Iterable → AnyRef → Any
176.  def toVector: immutable.Vector[A]
     Definition Classes
       IterableOnceOps
177.  def transpose[B](implicit asIterable: (A) => collection.Iterable[B]): Set[Set[B]]

     Transposes this mutable tree set of iterable collections into a mutable tree set of mutable tree sets.

     Transposes this mutable tree set of iterable collections into a mutable tree set of mutable tree sets.

     The resulting collection's type will be guided by the static type of mutable tree set. For example:

         val xs = List(
                    Set(1, 2, 3),
                    Set(4, 5, 6)).transpose
         // xs == List(
         //         List(1, 4),
         //         List(2, 5),
         //         List(3, 6))

         val ys = Vector(
                    List(1, 2, 3),
                    List(4, 5, 6)).transpose
         // ys == Vector(
         //         Vector(1, 4),
         //         Vector(2, 5),
         //         Vector(3, 6))

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     B

       the type of the elements of each iterable collection.

     asIterable

       an implicit conversion which asserts that the element type of this mutable tree set is an `Iterable`.

     returns

       a two-dimensional mutable tree set of mutable tree sets which has as nth row the nth column of this mutable tree set.

     Definition Classes
       IterableOps
     Exceptions thrown

       `IllegalArgumentException` if all collections in this mutable tree set are not of the same size.

178.  def unconstrained: collection.Set[A]
179.  final def union(that: collection.Set[A]): TreeSet[A]

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       SetOps
     Annotations
       @inline()
180.  def unsorted: Set[A]
     Definition Classes
       SortedSet → SortedSetOps → SortedSet → SortedSetOps
181.  def unzip[A1, A2](implicit asPair: (A) => (A1, A2)): (Set[A1], Set[A2])

     Converts this mutable tree set of pairs into two collections of the first and second half of each pair.

     Converts this mutable tree set of pairs into two collections of the first and second half of each pair.

         val xs = mutable.TreeSet(
                    (1, "one"),
                    (2, "two"),
                    (3, "three")).unzip
         // xs == (mutable.TreeSet(1, 2, 3),
         //        mutable.TreeSet(one, two, three))

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this mutable tree set is a pair.

     returns

       a pair of mutable tree sets, containing the first, respectively second half of each element pair of this mutable tree set.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
182.  def unzip3[A1, A2, A3](implicit asTriple: (A) => (A1, A2, A3)): (Set[A1], Set[A2], Set[A3])

     Converts this mutable tree set of triples into three collections of the first, second, and third element of each triple.

     Converts this mutable tree set of triples into three collections of the first, second, and third element of each triple.

         val xs = mutable.TreeSet(
                    (1, "one", '1'),
                    (2, "two", '2'),
                    (3, "three", '3')).unzip3
         // xs == (mutable.TreeSet(1, 2, 3),
         //        mutable.TreeSet(one, two, three),
         //        mutable.TreeSet(1, 2, 3))

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this mutable tree set is a triple.

     returns

       a triple of mutable tree sets, containing the first, second, respectively third member of each element triple of this mutable tree set.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
183.  def update(elem: A, included: Boolean): Unit

     Updates the presence of a single element in this set.

     Updates the presence of a single element in this set.

     This method allows one to add or remove an element `elem` from this set depending on the value of parameter `included`. Typically, one would use the following syntax:

         set(elem) = true  // adds element
         set(elem) = false // removes element

     elem

       the element to be added or removed

     included

       a flag indicating whether element should be included or excluded.

     Definition Classes
       SetOps
184.  def view: View[A]

     A view over the elements of this collection.

     A view over the elements of this collection.

     Definition Classes
       IterableOps
185.  final def wait(): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--.

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--.

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
     Note

       not specified by SLS as a member of AnyRef

186.  final def wait(arg0: Long, arg1: Int): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
     Note

       not specified by SLS as a member of AnyRef

187.  final def wait(arg0: Long): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-.

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-.

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
     Note

       not specified by SLS as a member of AnyRef

188.  def withFilter(p: (A) => Boolean): SortedSetOps.WithFilter[A, [x]Set[x], [X]TreeSet[X]]

     Creates a non-strict filter of this mutable tree set.

     Creates a non-strict filter of this mutable tree set.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this mutable tree set which satisfy the predicate `p`.

     Definition Classes
       SortedSetFactoryDefaults → IterableOps
189.  def writeReplace(): AnyRef
     Attributes
       protected[this]
     Definition Classes
       DefaultSerializable
190.  def zip[B](that: IterableOnce[B])(implicit ev: Ordering[(A, B)]): TreeSet[(A, B)]

     Returns a mutable tree set formed from this mutable tree set and another iterable collection by combining corresponding elements in pairs.

     Returns a mutable tree set formed from this mutable tree set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable tree set containing pairs consisting of corresponding elements of this mutable tree set and `that`. The length of the returned collection is the minimum of the lengths of this mutable tree set and `that`.

     Definition Classes
       StrictOptimizedSortedSetOps → SortedSetOps
191.  def zip[B](that: IterableOnce[B]): Set[(A, B)]

     Returns a mutable tree set formed from this mutable tree set and another iterable collection by combining corresponding elements in pairs.

     Returns a mutable tree set formed from this mutable tree set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable tree set containing pairs consisting of corresponding elements of this mutable tree set and `that`. The length of the returned collection is the minimum of the lengths of this mutable tree set and `that`.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
192.  def zipAll[A1 >: A, B](that: collection.Iterable[B], thisElem: A1, thatElem: B): Set[(A1, B)]

     Returns a mutable tree set formed from this mutable tree set and another iterable collection by combining corresponding elements in pairs.

     Returns a mutable tree set formed from this mutable tree set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this mutable tree set is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this mutable tree set.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this mutable tree set and `that`. The length of the returned collection is the maximum of the lengths of this mutable tree set and `that`. If this mutable tree set is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this mutable tree set, `thatElem` values are used to pad the result.

     Definition Classes
       IterableOps
193.  def zipWithIndex: Set[(A, Int)]

     Zips this mutable tree set with its indices.

     Zips this mutable tree set with its indices.

     returns

       A new mutable tree set containing pairs consisting of all elements of this mutable tree set paired with their index. Indices start at `0`.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
     Example:

     1. `List("a", "b", "c").zipWithIndex == List(("a", 0), ("b", 1), ("c", 2))`

194.  final def |(that: collection.Set[A]): TreeSet[A]

     Alias for `union`

     Alias for `union`

     Definition Classes
       SetOps
     Annotations
       @inline()

### Shadowed Implicit Value Members

1.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TreeSet[A] toany2stringadd[TreeSet[A]] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (treeSet: any2stringadd[TreeSet[A]]).+(other)

   Definition Classes
     any2stringadd

### Deprecated Value Members

1.  def +(elem1: A, elem2: A, elems: A*): TreeSet[A]
   Definition Classes
     SetOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use ++ with an explicit collection argument instead of + with varargs

2.  def +(elem: A): TreeSet[A]
   Definition Classes
     SetOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Consider requiring an immutable Set or fall back to Set.union

3.  def ++:[B >: A](that: IterableOnce[B]): Set[B]
   Definition Classes
     IterableOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use ++ instead of ++: for collections of type Iterable

4.  final def +=(elem1: A, elem2: A, elems: A*): TreeSet.this.type

   Adds two or more elements to this mutable tree set.

   Adds two or more elements to this mutable tree set.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     the mutable tree set itself

   Definition Classes
     Growable
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use `++=` aka `addAll` instead of varargs `+=`; infix operations with an operand of multiple args will be deprecated

5.  def -(elem1: A, elem2: A, elems: A*): TreeSet[A]
   Definition Classes
     SetOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use &- with an explicit collection argument instead of - with varargs

6.  def -(elem: A): TreeSet[A]
   Definition Classes
     SetOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Consider requiring an immutable Set or fall back to Set.diff

7.  def --(that: IterableOnce[A]): TreeSet[A]
   Definition Classes
     SetOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Consider requiring an immutable Set

8.  def -=(elem1: A, elem2: A, elems: A*): TreeSet.this.type

   Removes two or more elements from this mutable tree set.

   Removes two or more elements from this mutable tree set.

   elem1

     the first element to remove.

   elem2

     the second element to remove.

   elems

     the remaining elements to remove.

   returns

     the mutable tree set itself

   Definition Classes
     Shrinkable
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.3) Use `--=` aka `subtractAll` instead of varargs `-=`; infix operations with an operand of multiple args will be deprecated

9.  def /:[B](z: B)(op: (B, A) => B): B
   Implicit
     This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (treeSet: IterableOnceExtensionMethods[A])./:(z)(op)

   Definition Classes
     IterableOnceExtensionMethods
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use .iterator.foldLeft instead

10.  final def /:[B](z: B)(op: (B, A) => B): B
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use foldLeft instead of /:

11.  def :\[B](z: B)(op: (A, B) => B): B
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).:\(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldRight instead

12.  final def :\[B](z: B)(op: (A, B) => B): B
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use foldRight instead of :\

13.  def aggregate[B](z: => B)(seqop: (B, A) => B, combop: (B, B) => B): B
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) `aggregate` is not relevant for sequential collections. Use `foldLeft(z)(seqop)` instead.

14.  def collectFirst[B](f: PartialFunction[A, B]): Option[B]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).collectFirst(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.collectFirst(...) instead

15.  def companion: IterableFactory[[_]Set[_]]
    Definition Classes
      IterableOps
    Annotations
      @deprecated @deprecatedOverriding(message = "Use iterableFactory instead", since = "2.13.0") @inline()
    Deprecated

      (Since version 2.13.0) Use iterableFactory instead

16.  def compare(k0: A, k1: A): Int

    Comparison function that orders keys.

    Comparison function that orders keys.

    Definition Classes
      SortedOps
    Annotations
      @deprecated @deprecatedOverriding(message = "Use ordering.compare instead", since = "2.13.0") @inline()
    Deprecated

      (Since version 2.13.0) Use ordering.compare instead

17.  def copyToBuffer(dest: Buffer[A]): Unit
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).copyToBuffer(dest)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.copyToBuffer(...) instead

18.  final def copyToBuffer[B >: A](dest: Buffer[B]): Unit
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use `dest ++= coll` instead

19.  def count(f: (A) => Boolean): Int
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).count(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.count(...) instead

20.  def exists(f: (A) => Boolean): Boolean
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).exists(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.exists(...) instead

21.  def filter(f: (A) => Boolean): Iterator[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).filter(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.filter(...) instead

22.  def find(p: (A) => Boolean): Option[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).find(p)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.find instead

23.  def flatMap[B](f: (A) => IterableOnce[B]): IterableOnce[B]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).flatMap(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.flatMap instead or consider requiring an Iterable

24.  def fold[A1 >: A](z: A1)(op: (A1, A1) => A1): A1
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).fold(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.fold instead

25.  def foldLeft[B](z: B)(op: (B, A) => B): B
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).foldLeft(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldLeft instead

26.  def foldRight[B](z: B)(op: (A, B) => B): B
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).foldRight(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldRight instead

27.  def forall(f: (A) => Boolean): Boolean
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).forall(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.forall(...) instead

28.  def foreach[U](f: (A) => U): Unit
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).foreach(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foreach(...) instead

29.  final def from(from: A): TreeSet[A]

    Creates a ranged projection of this collection with no upper-bound.

    Creates a ranged projection of this collection with no upper-bound.

    from

      The lower-bound (inclusive) of the ranged projection.

    Definition Classes
      SortedOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use rangeFrom

30.  def hasDefiniteSize: Boolean

    Tests whether this mutable tree set is known to have a finite size.

    Tests whether this mutable tree set is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end. Non-empty Iterators usually return `false` even if they were created from a collection with a known finite size.

    Note: many collection methods will not work on collections of infinite sizes. The typical failure mode is an infinite loop. These methods always attempt a traversal without checking first that `hasDefiniteSize` returns `true`. However, checking `hasDefiniteSize` can provide an assurance that size is well-defined and non-termination is not a concern.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Check .knownSize instead of .hasDefiniteSize for more actionable information (see scaladoc for details)

    See also

      method `knownSize` for a more useful alternative

31.  def isEmpty: Boolean
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).isEmpty

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.isEmpty instead

32.  def keysIteratorFrom(start: A): Iterator[A]
    Definition Classes
      SortedSetOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use `iteratorFrom` instead.

33.  def map[B](f: (A) => B): IterableOnce[B]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).map(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.map instead or consider requiring an Iterable

34.  def max(implicit ord: math.Ordering[A]): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).max(ord)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.max instead

35.  def maxBy[B](f: (A) => B)(implicit cmp: math.Ordering[B]): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).maxBy(f)(cmp)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.maxBy(...) instead

36.  def min(implicit ord: math.Ordering[A]): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).min(ord)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.min instead

37.  def minBy[B](f: (A) => B)(implicit cmp: math.Ordering[B]): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).minBy(f)(cmp)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.minBy(...) instead

38.  def mkString: String
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).mkString

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

39.  def mkString(sep: String): String
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).mkString(sep)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

40.  def mkString(start: String, sep: String, end: String): String
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).mkString(start, sep, end)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

41.  def nonEmpty: Boolean
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).nonEmpty

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.nonEmpty instead

42.  def product(implicit num: math.Numeric[A]): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).product(num)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.product instead

43.  def reduce(f: (A, A) => A): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).reduce(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduce(...) instead

44.  def reduceLeft(f: (A, A) => A): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).reduceLeft(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceLeft(...) instead

45.  def reduceLeftOption(f: (A, A) => A): Option[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).reduceLeftOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceLeftOption(...) instead

46.  def reduceOption(f: (A, A) => A): Option[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).reduceOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceOption(...) instead

47.  def reduceRight(f: (A, A) => A): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).reduceRight(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceRight(...) instead

48.  def reduceRightOption(f: (A, A) => A): Option[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).reduceRightOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceRightOption(...) instead

49.  final def repr: TreeSet[A]
    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use coll instead of repr in a collection implementation, use the collection value itself from the outside

50.  final def retain(p: (A) => Boolean): Unit
    Definition Classes
      SetOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use filterInPlace instead

51.  def sameElements[B >: A](that: IterableOnce[B]): Boolean
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.sameElements instead

52.  def seq: TreeSet.this.type
    Definition Classes
      Iterable
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Iterable.seq always returns the iterable itself

53.  def size: Int
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).size

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.size instead

54.  def sum(implicit num: math.Numeric[A]): A
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).sum(num)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.sum instead

55.  def to[C1](factory: Factory[A, C1]): C1
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).to(factory)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(factory) instead

56.  final def to(to: A): TreeSet[A]

    Create a range projection of this collection with no lower-bound.

    Create a range projection of this collection with no lower-bound.

    to

      The upper-bound (inclusive) of the ranged projection.

    Definition Classes
      SortedOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use rangeTo

57.  def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toArray(arg0)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.toArray

58.  def toBuffer[B >: A]: Buffer[B]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toBuffer

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(ArrayBuffer) instead

59.  def toIndexedSeq: collection.IndexedSeq[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toIndexedSeq

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.toIndexedSeq instead

60.  final def toIterable: collection.Iterable[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toIterable

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Iterable) instead

61.  def toIterator: Iterator[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toIterator

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator instead

62.  final def toIterator: Iterator[A]
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator instead of .toIterator

63.  def toList: immutable.List[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toList

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(List) instead

64.  def toMap[K, V](implicit ev: <:<[A, (K, V)]): immutable.Map[K, V]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toMap(ev)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Map) instead

65.  def toSeq: immutable.Seq[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toSeq

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Seq) instead

66.  def toSet[B >: A]: immutable.Set[B]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toSet

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Set) instead

67.  def toStream: immutable.Stream[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toStream

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(LazyList) instead

68.  final def toStream: immutable.Stream[A]
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .to(LazyList) instead of .toStream

69.  final def toTraversable: collection.Traversable[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toTraversable

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Iterable) instead

70.  final def toTraversable: collection.Traversable[A]

    Converts this mutable tree set to an unspecified Iterable.

    Converts this mutable tree set to an unspecified Iterable. Will return the same collection if this instance is already Iterable.

    returns

      An Iterable containing all elements of this mutable tree set.

    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use toIterable instead

71.  def toVector: immutable.Vector[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).toVector

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Vector) instead

72.  final def until(until: A): TreeSet[A]

    Creates a ranged projection of this collection with no lower-bound.

    Creates a ranged projection of this collection with no lower-bound.

    until

      The upper-bound (exclusive) of the ranged projection.

    Definition Classes
      SortedOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use rangeUntil

73.  def view(from: Int, until: Int): View[A]

    A view over a slice of the elements of this collection.

    A view over a slice of the elements of this collection.

    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .view.slice(from, until) instead of .view(from, until)

74.  def withFilter(f: (A) => Boolean): Iterator[A]
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toIterableOnceExtensionMethods[A] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (treeSet: IterableOnceExtensionMethods[A]).withFilter(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.withFilter(...) instead

75.  def →[B](y: B): (TreeSet[A], B)
    Implicit
      This member is added by an implicit conversion from TreeSet[A] toArrowAssoc[TreeSet[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from DefaultSerializable

### Inherited from java.io.Serializable

### Inherited from StrictOptimizedSortedSetOps[A, TreeSet, TreeSet[A]]

### Inherited from StrictOptimizedSetOps[A, collection.Set, TreeSet[A]]

### Inherited from StrictOptimizedIterableOps[A, [_]Set[_], TreeSet[A]]

### Inherited from SortedSet[A]

### Inherited from SortedSetOps[A, [X]TreeSet[X], TreeSet[A]]

### Inherited from collection.SortedSet[A]

### Inherited from SortedSetFactoryDefaults[A, [X]TreeSet[X], [x]Set[x]]

### Inherited from collection.SortedSetOps[A, [X]TreeSet[X], TreeSet[A]]

### Inherited from SortedOps[A, TreeSet[A]]

### Inherited from AbstractSet[A]

### Inherited from Set[A]

### Inherited from SetOps[A, Set, TreeSet[A]]

### Inherited from Shrinkable[A]

### Inherited from Builder[A, TreeSet[A]]

### Inherited from Growable[A]

### Inherited from Clearable

### Inherited from Cloneable[TreeSet[A]]

### Inherited from java.lang.Cloneable

### Inherited from Iterable[A]

### Inherited from collection.AbstractSet[A]

### Inherited from collection.Set[A]

### Inherited from Equals

### Inherited from collection.SetOps[A, [_]Set[_], TreeSet[A]]

### Inherited from (A) => Boolean

### Inherited from collection.AbstractIterable[A]

### Inherited from collection.Iterable[A]

### Inherited from IterableFactoryDefaults[A, [x]Set[x]]

### Inherited from IterableOps[A, [_]Set[_], TreeSet[A]]

### Inherited from IterableOnceOps[A, [_]Set[_], TreeSet[A]]

### Inherited from IterableOnce[A]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion iterableOnceExtensionMethods fromTreeSet[A] to IterableOnceExtensionMethods[A]

### Inherited by implicit conversion any2stringadd fromTreeSet[A] to any2stringadd[TreeSet[A]]

### Inherited by implicit conversion StringFormat fromTreeSet[A] to StringFormat[TreeSet[A]]

### Inherited by implicit conversion Ensuring fromTreeSet[A] to Ensuring[TreeSet[A]]

### Inherited by implicit conversion ArrowAssoc fromTreeSet[A] to ArrowAssoc[TreeSet[A]]

### Ungrouped